<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculator</title>
    <style>
        .center_text {
            text-align: center;
            font-size: 20pt;
            margin: 5px;
            font-weight: bold;
        }

        .card {
            border: solid;
            padding: 5px;
            ;
            background-color: darkseagreen;
            width: 400px;
            text-align: center;
        }

        .w100px {
            width: 100px;
        }
    </style>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app" class="card">
        <div><input type="text" ref="num1" v-model="state.num1" class="center_text"></div>
        <div class="center_text">+</div>
        <div><input type="text" ref="num2" v-model="state.num2" class="center_text"></div>
        <div><button class="center_text w100px" @click="doAdd">=</button></div>
        <div class="center_text" ref="result">{{state.result}}</div>
        <div>{{state.num1}} + {{state.num2}} = {{result}}</div>
    </div>
</body>

<script>
    const { createApp, reactive, computed } = Vue
    createApp(
        {
            setup() {
                const state = reactive({
                    num1: '1',
                    num2: '1',
                    result: 2
                })
                const result = computed(function(){
                    return parseInt(state.num1) + parseInt(state.num2)
                })
                const doAdd = function () {
                    state.result = parseInt(state.num1) + parseInt(state.num2)
                }
                return { state, doAdd ,result}
            }
        }
    ).mount('#app')

</script>



</html>